package graphismes.internes;

import graphismes.externes.Fenetre;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class Menu extends JPanel {

    public Menu(){
        super();
        init();
    }

    private void init(){
        JButton jouer = new JButton("Jouer");
        JButton quitter = new JButton("Quitter");

        jouer.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {//bascule sur le panel de jeu
                lancerJeu();
            }
        } );

        quitter.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) { quitterJeu(); }
        } );

        this.add(jouer);
        this.add(quitter);
        this.setOpaque(false);
    }

    private void lancerJeu(){
        Fuite fuite = new Fuite();
        Fenetre.getFenetre().getContentPane().removeAll();
        Fenetre.getFenetre().setContentPane(fuite);
        fuite.requestFocusInWindow();

        Fenetre.getFenetre().repaint();
        Fenetre.getFenetre().revalidate();
    }

    private void quitterJeu(){
        System.exit(0);
    }

}
