package graphismes.internes;

import graphismes.outils.Point;

public class Tuile {

    private Point origine;
    private final int LARGEUR, HAUTEUR;
    private int type = 0;

    public Tuile(Point a){
        this.origine = a;
        this.LARGEUR = 40;
        this.HAUTEUR = this.LARGEUR;
    }

    public Tuile(Point a, int largeur, int hauteur){
        this.origine = a;
        this.LARGEUR = largeur;
        this.HAUTEUR = hauteur;
    }

    public Point getHautGauche(){return origine;}
    public Point getHautDroite(){return new Point(origine.getX()+LARGEUR, origine.getY());}
    public Point getBasGauche(){return new Point(origine.getX(),origine.getY()+HAUTEUR);}
    public Point getBasDroite(){return new Point(origine.getX()+LARGEUR, origine.getY()+HAUTEUR);}
    public void setType(int a){this.type = a;}
    public int getType() {return this.type;}
    public int getHauteur() {return this.HAUTEUR;}
    public int getLargeur() {return this.LARGEUR;}

    public void monte(int a){ this.origine.controleVertical(-a); }
    public void descend(int a){
        this.origine.controleVertical(a);
    }
    public void gauche(int a){
        this.origine.controleHorizontal(-a);
    }
    public void droite(int a){ this.origine.controleHorizontal(a); }


    public int testCollision(Tuile b){
        if(type == 0 || b.getType() == 0)
            return 0;
        if(this.getHautGauche().getX() > b.getBasDroite().getX()){
            
        }

        if(this.getHautGauche().getY() > b.getBasGauche().getY()){

        }

        if(this.getHautDroite().getX() < b.getHautGauche().getX()){

        }

        if(this.getBasGauche().getY()  < b.getHautGauche().getY())  {

        }
        else{
            return true;
        }
    }

    public int testCollision(Tuile[] b){
        boolean reponse = false;
        for(int i=0; i<b.length;i++){
            reponse = reponse || this.testCollision(b[i]);
        }
        return reponse;
    }

    public int testCollision(Tuile[][] b){
        boolean reponse = false;
        for(int i=0; i<b.length;i++){
            reponse = reponse || this.testCollision(b[i]);
        }
        return reponse;
    }
}
